/*
SQLyog Professional v12.2.6 (32 bit)
MySQL - 5.6.27-log : Database - paf4state
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`paf4state` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `paf4state`;

/*Table structure for table `counter` */

DROP TABLE IF EXISTS `counter`;

CREATE TABLE `counter` (
  `TableName` varchar(100) NOT NULL DEFAULT '',
  `Counter` int(11) DEFAULT '0',
  PRIMARY KEY (`TableName`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `counter` */

insert  into `counter`(`TableName`,`Counter`) values 

('DKIspitnaPrijava',0);

/*Table structure for table `dkispitnaprijava` */

DROP TABLE IF EXISTS `dkispitnaprijava`;

CREATE TABLE `dkispitnaprijava` (
  `SifraPrijave` int(11) NOT NULL DEFAULT '0',
  `BrojIndeksa` varchar(7) DEFAULT NULL,
  `SifraPredmeta` int(11) DEFAULT '0',
  `Ocena` int(11) DEFAULT '0',
  `Datum` date DEFAULT NULL,
  `Stanje` varchar(15) DEFAULT NULL,
  PRIMARY KEY (`SifraPrijave`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dkispitnaprijava` */

/*Table structure for table `dkpredmet` */

DROP TABLE IF EXISTS `dkpredmet`;

CREATE TABLE `dkpredmet` (
  `SifraPredmeta` int(11) NOT NULL,
  `NazivPredmeta` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`SifraPredmeta`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dkpredmet` */

insert  into `dkpredmet`(`SifraPredmeta`,`NazivPredmeta`) values 

(1,'Matematika'),

(2,'Programiranje 1'),

(3,'Projektovanje softvera'),

(4,'Softverski paterni');

/*Table structure for table `dkproizvod` */

DROP TABLE IF EXISTS `dkproizvod`;

CREATE TABLE `dkproizvod` (
  `sifraProizvoda` int(11) NOT NULL,
  `nazivProizvoda` text,
  `opisProizvoda` text,
  `cenaProizvoda` double DEFAULT NULL,
  `urlProizvoda` text,
  PRIMARY KEY (`sifraProizvoda`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

/*Data for the table `dkproizvod` */

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
