/* Kontroler1.java
 * @autor  prof. dr Sinisa Vlajic,
 * Univerzitet u Beogradu
 * Fakultet organizacionih nauka 
 * Katedra za softversko inzenjerstvo
 * Laboratorija za softversko inzenjerstvo
 * 06.11.2017
 */

package AbstractProductC;


import AbstractProductA.*;
import AbstractProductB.*;
import java.text.SimpleDateFormat;
import java.util.Timer;
import java.util.TimerTask;
import DomainClasses.DKIspitnaPrijava;  // Promenljivo
import DomainClasses.GeneralDObject;
import Context.Dugme;
import Context.TekstPolje;

import ConcreteStrategy.KreirajDomenskiObjekat;
import ConcreteStrategy.NadjiDomenskiObjekat;
import ConcreteStrategy.ObrisiDomenskiObjekat;
import ConcreteStrategy.PromeniDomenskiObjekat;


public final class Kontroler1 extends Kontroler{ // Client
   
    
   
    
    public Kontroler1(EkranskaForma ef1,BrokerBazePodataka bbp1){ef=ef1;bbp=bbp1; Povezi();}
    
    void Povezi()
    {
      
      KreirajDomenskiObjekat kdo = new KreirajDomenskiObjekat(bbp,this);
      Dugme dk1 = new Dugme(kdo,ef.getPanel().getKreiraj()); 
      
      PromeniDomenskiObjekat pdo = new PromeniDomenskiObjekat(bbp,this);
      Dugme dk2 = new Dugme(pdo,ef.getPanel().getPromeni());
      
      ObrisiDomenskiObjekat odo = new ObrisiDomenskiObjekat(bbp,this);
      Dugme dk3 = new Dugme(odo,ef.getPanel().getObrisi());
      
      
      NadjiDomenskiObjekat ndo = new NadjiDomenskiObjekat(bbp,this);
      Dugme dk4 = new Dugme(ndo,ef.getPanel().getNadji());
      
      
      TekstPolje tp = new TekstPolje(ndo,ef.getPanel().getSifraPrijave1());
         
     
    }
    
// Promenljivo!!!  
    @Override
    public void napuniDomenskiObjekatIzGrafickogObjekta()   {
       ip= new DKIspitnaPrijava();
       ip.setSifraPrijave(getInteger(ef.getPanel().getSifraPrijave()));
       ip.setBrojIndeksa(ef.getPanel().getBrojIndeksa());
       ip.setSifraPredmeta(getInteger(ef.getPanel().getSifraPredmeta()));
       ip.setOcena(getInteger(ef.getPanel().getOcena()));
       SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
       java.util.Date Datum = java.sql.Date.valueOf(sdf.format(ef.getPanel().getDatum())); 
       ip.setDatum(Datum); 
    
    }

// Promenljivo!!!
    @Override
    public void napuniGrafickiObjekatIzDomenskogObjekta(GeneralDObject gdo){
       DKIspitnaPrijava ip = (DKIspitnaPrijava)gdo;
       ef.getPanel().setSifraPrijave(Integer.toString(ip.getSifraPrijave()));
       ef.getPanel().setBrojIndeksa(ip.getBrojIndeksa());
       ef.getPanel().setSifraPredmeta(Integer.toString(ip.getSifraPredmeta()));
       ef.getPanel().setOcena(Integer.toString(ip.getOcena()));
       ef.getPanel().setDatum(ip.getDatum());
      
    }

   
// Promenljivo!!!
    @Override
    public void isprazniGrafickiObjekat(){

 ef.getPanel().setSifraPrijave("");
 ef.getPanel().setBrojIndeksa("000000");
 ef.getPanel().setSifraPredmeta("0");
 ef.getPanel().setOcena("5");
 ef.getPanel().setDatum(new java.util.Date());
}

    @Override 
    public void prikaziPoruku(){ 
  ef.getPanel().setPoruka(poruka);
      
  Timer timer = new Timer();
  
  timer.schedule(new TimerTask() {
  @Override
  public void run() {
    ef.getPanel().setPoruka(""); 
  }
}, 3000);
  
}

 public int getInteger(String s) {
    int broj = 0;
    try
        {
            if(s != null)
                broj = Integer.parseInt(s);
        }
            catch (NumberFormatException e)
            { broj = 0;}
   
    return broj;
}


}    







